Bug 443506 - Gnome starts with no desktop contents
Gnome starts with no desktop contents
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
Gnome starts with blank desktop
:
: 439320 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-21 17:36 EDT by Leslie Satenstein
Modified: 2015-03-03 17:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:35:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
requested copy of file (2.22 KB, text/plain)
2008-04-23 18:56 EDT, Leslie Satenstein
no flags Details
Errof file immediately after boot and logon. (2.22 KB, text/plain)
2008-04-25 15:49 EDT, Leslie Satenstein
no flags Details
After logout and login (with success) (2.08 KB, text/plain)
2008-04-25 16:47 EDT, Leslie Satenstein
no flags Details
Problem that occurs immediately after (re)boot (497.78 KB, image/png)
2008-06-08 09:54 EDT, Leslie Satenstein
no flags Details
Gnome desktop after a logout followed by a login (598.08 KB, image/png)
2008-06-08 09:58 EDT, Leslie Satenstein
no flags Details

  None (edit)
Description Leslie Satenstein 2008-04-21 17:36:28 EDT
Description of problem:

On first logon after a system boot, Gnome opens up without any contents on the
desktop (no Computer or Home menu)

Logout and login fixes the problem..  Is it a timing problem?


Version-Release number of selected component (if applicable):

F9 all

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Leslie Satenstein 2008-04-21 20:19:14 EDT
This should not make a difference but here is some extra info.

I am using the 686 version on a dual core Intel mother board with d930 CPU.
Memory is 3.5gigs, Hard disk is 200gigs (dedicated to f9), Video is the onboard
 mother board hardware. 
Comment 2 Matthias Clasen 2008-04-23 13:23:20 EDT
What window manager are you using ?

Does ~/.xsession-errors contain anything from nautilus ?
Comment 3 Matthias Clasen 2008-04-23 13:47:50 EDT
*** Bug 439320 has been marked as a duplicate of this bug. ***
Comment 4 Leslie Satenstein 2008-04-23 18:56:32 EDT
Created attachment 303558 [details]
requested copy of file

Front end of file may show error.
Comment 5 Leslie Satenstein 2008-04-23 19:25:54 EDT
Hello Matthias
I tried 6 times today to duplicate the error, and it would not do it, whereas on
the date in question the problem was consistent. 

I believe that there were some system updates (patches) that I installed
yesterday, and those patches in execution changed the startup timings.

 When gnome is now started, the system mounts have already occurred and the
desktop now shows them.

Mr Bill Nottingham in a forum message indicated a problem where one startup
function completed before the function that provided the information for the
former had executed. The problem I noted is similar.

Murphy's law says that things go wrong at the worst times. What happens when
things go right and you cannot show the bug?  I will keep trying for the next
three days, and if the problem does not reappear, I will change the status to
notabug.      
Comment 6 Leslie Satenstein 2008-04-25 15:48:31 EDT
Well, I have the problem reoccur and I have a file. What is the difference this
time? I had a USB hard disk plugged in (formatted ext2) 

I am guessing but that usb drive being there changed timings and the problem
presented itself.  
The file asked for will be attached.
Comment 7 Leslie Satenstein 2008-04-25 15:49:50 EDT
Created attachment 303815 [details]
Errof file immediately after boot and logon. 

This is the requested file.  By the way, problem does not appear when using
KDE.
Comment 8 Leslie Satenstein 2008-04-25 16:47:18 EDT
Created attachment 303822 [details]
After logout and login (with success)

The preceeding file was created when I logged in  after a boot, and the desktop
was empty (only background) and menu bar.  
Following logoff and logon, with desktop populated this time, the current file
should show differences,(mounted paths show on the desktop)
Comment 9 Bug Zapper 2008-05-14 05:53:48 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Leslie Satenstein 2008-06-08 09:54:09 EDT
Created attachment 308655 [details]
Problem that occurs immediately after (re)boot

This attachment appears immediately after a reboot.  I have a second attachment
to follow with the situation after a logout/login sequence.
Comment 11 Leslie Satenstein 2008-06-08 09:58:27 EDT
Created attachment 308656 [details]
Gnome desktop after a logout followed by a login

Refer to previous attachment and comments. Here is more information. From the
attached print screen, we see all the mounted disks. These should not appear.
When I installed a vanilla fedora 9, they were not there, but could be mounted
by going to panel--places and clicking on the mount option.
Finally, the next bug. Seeing there are mounted, if I go to display--places and
click on the drive as a second mount, then from there on, it is impossible to
do a umount from gnome or from the terminal. And it is impossible to logout
without killing gnome. 

Is  this a gnome or hal problem.
Comment 12 Leslie Satenstein 2008-06-08 10:06:48 EDT
By the way, my Fedora version is the 86_64 version. FYI. UBUNTU handles the
mount/unmount Gnome combo correctly. I don't have the skills to research why it
works and Fedora 8/Fedora 9 versions do not work.



Comment 13 Leslie Satenstein 2008-06-19 08:43:34 EDT
Problem is back again with Fedora9.  Now essentially consistent.

Comment 14 Bug Zapper 2009-06-09 20:20:42 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-07-14 12:35:13 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.